Subject: bug#70784: Abolish string resizing

From: Drew Adams <[email-masked]>
Date: Sun, 5 May 2024 20:08:56 +0000

> > > > > I'm not sure even that is a good idea for
> > > > > Emacs 30.  Let's see what others think.
> > > >
> > > > Next on Matthias's immutable list of
> > > > "improvements": doing away with mutable lists.
> > > > Poor Lisp.
> > >
> > > Your opinions might be more important to
> > > read and consider if you drop the sarcasm.
> > > There are no enemies of Lisp here.
> >
> > No one (except you) spoke of "enemies" of Lisp.
> 
> You did ("poor Lisp" etc.).

No, I didn't - you did.  I said nothing about
any enemies of Lisp, nor did I suggest that
anyone here is an enemy of Lisp.

Please stop with the hyperbole and insinuation.
You appear to be trying to spin my position
into something it's not.

It would be a mistake, IMHO, to do away with
mutable strings or lists in Elisp.  That's my
opinion: that would _impoverish Lisp_.  The
former (make strings immutable) is exactly the
question raised in this thread, IIUC.

It would also be unfortunate to do away with
the use of nil as meaning false, or as the
empty list.  Again, that would _impoverish
Lisp_.  That's my opinion.

Such suggestions don't jibe with Lisp; they
would, in effect mutate Lisp away from its
fundament.  Let's not go down that road.